import request from '@/utils/request'

// 查询sopUserLogsInfo列表
export function listSopUserLogsInfo(query) {
  return request({
    url: '/app/userLogsInfo/list',
    method: 'get',
    params: query
  })
}

// 查询sopUserLogsInfo详细
export function getSopUserLogsInfo(id) {
  return request({
    url: '/qwSop/sopUserLogsInfo/' + id,
    method: 'get'
  })
}

// 新增sopUserLogsInfo
export function addSopUserLogsInfo(data) {
  return request({
    url: '/qwSop/sopUserLogsInfo',
    method: 'post',
    data: data
  })
}

// 修改sopUserLogsInfo
export function updateSopUserLogsInfo(data) {
  return request({
    url: '/qwSop/sopUserLogsInfo',
    method: 'put',
    data: data
  })
}

export function batchUpdateSopUserLogsInfoToTime(data) {
  return request({
    url: '/app/userLogsInfo/batchUpdateSopUserLogsInfoToTime',
    method: 'post',
    data: data
  })
}

// 删除sopUserLogsInfo
export function delSopUserLogsInfo(id) {
  return request({
    url: '/app/userLogsInfo/' + id,
    method: 'delete'
  })
}

// 导出sopUserLogsInfo
export function exportSopUserLogsInfo(query) {
  return request({
    url: '/qwSop/sopUserLogsInfo/export',
    method: 'get',
    params: query
  })
}

//一键群发
export function sendMsgSop(data) {
  return request({
    url: '/qwSop/sopUserLogsInfo/sendUserLogsInfoMsg',
    method: 'post',
    data: data
  })
}

//一键群发新版
export function sendMsgSopType(data) {
  return request({
    url: '/qwSop/sopUserLogsInfo/sendUserLogsInfoMsgType',
    method: 'post',
    data: data
  })
}
